Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo
Interface Session

All Known Implementing Classes:
  SessionImpl

public interface Session

An interface for session context objects. A session context represents an application's session. An implementation of this interface is instantiated for each root application module when the application module is activated `ApplicationModule.activate`. The session object is garbage collected when the root application module is garbage collected.

This interface is used by the framework to load/store session context throughout the client application's lifetime.

A default implementation of this interface, `SessionImpl` is provided with the Business Components for Java framework. Custom implementations may be developed by application developers who are interested in extending the default implementation. For example, an application may extend the `init` method with logic to load application specific session context like the local currency.

Custom implementations of this interface may be identified to the framework with the `SessionClass` server property.

Since:
  JDeveloper 3.0

Method Summary
`java.lang.String[]` | `getAllApplicationModuleDefNames()` Gets the names of the Application Module definitions contained in all packages.
`java.lang.String[]` | `getAllEntityAssociationDefNames()` Gets the names of the entity association definitions defined in all packages.
`java.lang.String[]` | `getAllEntityDefNames()` Gets the names of the Entity Object definitions available in all packages.
`java.lang.String[]` | `getAllViewDefNames()` Gets the names of the View Object definitions available in all packages.
`java.lang.String[]` | `getAllViewLinkDefNames()` Gets the names of the View Link definitions defined in all packages.
`java.lang.String[]` | `getApplicationModuleDefNames(java.lang.String packageName)` Gets the names of the Application Module definitions contained in a package.
`java.lang.String[]` | `getEntityAssociationDefNames(java.lang.String packageName)` Gets the names of the entity association definitions defined in a package.
`java.lang.String[]` | `getEntityDefNames(java.lang.String packageName)` Gets the names of the Entity Object definitions available in a package.
`java.util.Hashtable` | `getEnvironment()` Gets the table of packages.
`java.util.Locale` | `getLocale()` Gets the current `Locale` used for localizing error messages.
`java.lang.String[]` | `getPackageNames()` Gets names of the packages that make up this middle tier application.
`java.lang.String` | `getVersion()` Gets the middle tier's version information.
`java.lang.String[]` | `getViewDefNames(java.lang.String packageName)` Gets the names of the View Object definitions available in a package.
`java.lang.String[]` | `getViewLinkDefNames(java.lang.String packageName)` Gets the names of the View Link definitions defined in a package.
`void` | `loadPackage(java.lang.String packageName)` Loads a package that may be browsed for defined objects.
`void` | `setLocale(java.util.Locale locale)` Sets a new `Locale` for localizing error messages.

Method Detail

### getVersion

    public java.lang.String getVersion()

  Gets the middle tier's version information.
  Returns:
    The version information in the form major.minor.patch.bldNum.

### getLocale

    public java.util.Locale getLocale()

  Gets the current `Locale` used for localizing error messages.
  Returns:
    the current `Locale`.

### setLocale

    public void setLocale(java.util.Locale locale)

  Sets a new `Locale` for localizing error messages.
  Parameters:
    `locale` - the new `Locale`.

### getPackageNames

    public java.lang.String[] getPackageNames()

  Gets names of the packages that make up this middle tier application.
  Returns:
    The package names.

### getApplicationModuleDefNames

    public java.lang.String[] getApplicationModuleDefNames(java.lang.String packageName)

  Gets the names of the Application Module definitions contained in a package.
  Parameters:
    `packageName` - the name of the package.
  Returns:
    an array of `ApplicationModule` definition names.

### getAllApplicationModuleDefNames

    public java.lang.String[] getAllApplicationModuleDefNames()

  Gets the names of the Application Module definitions contained in all packages.
  Returns:
    an array of `ApplicationModule` definition names.

### getViewDefNames

    public java.lang.String[] getViewDefNames(java.lang.String packageName)

  Gets the names of the View Object definitions available in a package.
  Parameters:
    `packageName` - the name of the package.
  Returns:
    String[] an array of `ViewDef` names.

### getAllViewDefNames

    public java.lang.String[] getAllViewDefNames()

  Gets the names of the View Object definitions available in all packages.
  Returns:
    String[] an array of `ViewDef` names.

### getEntityDefNames

    public java.lang.String[] getEntityDefNames(java.lang.String packageName)

  Gets the names of the Entity Object definitions available in a package.
  Parameters:
    `packageName` - the name of the package.
  Returns:
    String[] an array of `EntityDef` names.

### getAllEntityDefNames

    public java.lang.String[] getAllEntityDefNames()

  Gets the names of the Entity Object definitions available in all packages.
  Returns:
    String[] an array of `EntityDef` names.

### getEntityAssociationDefNames

    public java.lang.String[] getEntityAssociationDefNames(java.lang.String packageName)

  Gets the names of the entity association definitions defined in a package.
  Parameters:
    `packageName` - the name of the package.
  Returns:
    String[] an array of `EntityAssociationDef` names.

### getAllEntityAssociationDefNames

    public java.lang.String[] getAllEntityAssociationDefNames()

  Gets the names of the entity association definitions defined in all packages.
  Returns:
    String[] an array of `EntityAssociationDef` names.

### getViewLinkDefNames

    public java.lang.String[] getViewLinkDefNames(java.lang.String packageName)

  Gets the names of the View Link definitions defined in a package.
  Parameters:
    `packageName` - the name of the package.
  Returns:
    String[] an array of `ViewLinkDef` names.

### getAllViewLinkDefNames

    public java.lang.String[] getAllViewLinkDefNames()

  Gets the names of the View Link definitions defined in all packages.
  Returns:
    String[] an array of `ViewLinkDef` names.

### loadPackage

    public void loadPackage(java.lang.String packageName)

  Loads a package that may be browsed for defined objects.
  Parameters:
    `packageName` - a fully qualified package name.

### getEnvironment

    public java.util.Hashtable getEnvironment()

  Gets the table of packages.
  Returns:
    a hash table of fully qualified package names.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD